Package: grails.core.support

## [Java] Interface GrailsApplicationAware

- Convenience interface that can be implemented by classes that are registered by plugins.

  Authors:
    Steven Devijver
  Since:
    0.2
  See Also:
    GrailsApplication

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)

      This method is called by the org.springframework.context.ApplicationContext that loads the Grails application. The GrailsApplication instance that represents the loaded Grails application is injected.

      Parameters:
        `grailsApplication` - the GrailsApplication object that represents this Grails application